Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.util
Interface DocumentFactory

All Known Subinterfaces:
  SVGDocumentFactory

All Known Implementing Classes:
  SAXDocumentFactory, SAXSVGDocumentFactory

public interface DocumentFactory

This interface represents an object which can build a Document.

Method Summary
`org.w3c.dom.Document` | `createDocument(java.lang.String ns, java.lang.String root, java.lang.String uri)` Creates a Document instance.
`org.w3c.dom.Document` | `createDocument(java.lang.String ns, java.lang.String root, java.lang.String uri, java.io.InputStream is)` Creates a Document instance.
`org.w3c.dom.Document` | `createDocument(java.lang.String ns, java.lang.String root, java.lang.String uri, java.io.Reader r)` Creates a Document instance.
`org.w3c.dom.Document` | `createDocument(java.lang.String ns, java.lang.String root, java.lang.String uri, org.xml.sax.XMLReader r)` Creates a Document instance.
`DocumentDescriptor` | `getDocumentDescriptor()` Returns the document descriptor associated with the latest created document.
`boolean` | `isValidating()` Returns true if the XML stream has to be validated, false otherwise.
`void` | `setValidating(boolean isValidating)` Sets whether or not the XML stream has to be validate, depending on the specified parameter.

Method Detail

### setValidating

    public void setValidating(boolean isValidating)

  Sets whether or not the XML stream has to be validate, depending on the specified parameter.

  Parameters:
    `isValidating` - true implies the XML stream will be validated

### isValidating

    public boolean isValidating()

  Returns true if the XML stream has to be validated, false otherwise.

### createDocument

    public org.w3c.dom.Document createDocument(java.lang.String ns,
                                               java.lang.String root,
                                               java.lang.String uri)
                                        throws java.io.IOException

  Creates a Document instance.

  Parameters:
    `ns` - The namespace URI of the root element of the document.
    `root` - The name of the root element of the document.
    `uri` - The document URI.
  Throws:
    `java.io.IOException` - if an error occured while reading the document.

### createDocument

    public org.w3c.dom.Document createDocument(java.lang.String ns,
                                               java.lang.String root,
                                               java.lang.String uri,
                                               java.io.InputStream is)
                                        throws java.io.IOException

  Creates a Document instance.

  Parameters:
    `ns` - The namespace URI of the root element of the document.
    `root` - The name of the root element of the document.
    `uri` - The document URI.
    `is` - The document input stream.
  Throws:
    `java.io.IOException` - if an error occured while reading the document.

### createDocument

    public org.w3c.dom.Document createDocument(java.lang.String ns,
                                               java.lang.String root,
                                               java.lang.String uri,
                                               org.xml.sax.XMLReader r)
                                        throws java.io.IOException

  Creates a Document instance.

  Parameters:
    `ns` - The namespace URI of the root element of the document.
    `root` - The name of the root element of the document.
    `uri` - The document URI.
    `r` - An XMLReader instance
  Throws:
    `java.io.IOException` - if an error occured while reading the document.

### createDocument

    public org.w3c.dom.Document createDocument(java.lang.String ns,
                                               java.lang.String root,
                                               java.lang.String uri,
                                               java.io.Reader r)
                                        throws java.io.IOException

  Creates a Document instance.

  Parameters:
    `ns` - The namespace URI of the root element of the document.
    `root` - The name of the root element of the document.
    `uri` - The document URI.
    `r` - The document reader.
  Throws:
    `java.io.IOException` - if an error occured while reading the document.

### getDocumentDescriptor

    public DocumentDescriptor getDocumentDescriptor()

  Returns the document descriptor associated with the latest created document.

  Returns:
    null if no document or descriptor was previously generated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.